import Rollabr from 'rollbar';
var NODE_ENV = 'development';

try {
  NODE_ENV = process.env.NODE_ENV; // portal 側で入れてくれる
} catch (error) {// 'development' のまま => 通知しない
}

var rollbar = new Rollabr({
  accessToken: '46185b6c483d46bea0cd066075b5cc0e',
  // [CAUTION] Used in Feeles/IDE as raw string
  captureUncaught: false,
  // ユーザーのコードを送信するだけなのでキャプチャしない
  captureUnhandledRejections: false,
  // ユーザーのコードを送信するだけなのでキャプチャしない
  filterTelemetry: function filterTelemetry(e) {
    // Any event that matches the test is *not* added to the queue.
    return e.type === 'network' && (e.body.subtype === 'xhr' || e.body.subtype === 'fetch') && /^https?:\/\/\w+\.googleapis\.com/.test(e.body.url) // GCP/Firebase のリクエストを除外
    ;
  },
  payload: {
    environment: NODE_ENV
  }
});
export var log = function log() {
  return rollbar && rollbar.log.apply(rollbar, arguments);
};
export var debug = function debug() {
  return rollbar && rollbar.debug.apply(rollbar, arguments);
};
export var info = function info() {
  return rollbar && rollbar.info.apply(rollbar, arguments);
};
export var warn = function warn() {
  return rollbar && rollbar.warn.apply(rollbar, arguments);
};
export var warning = function warning() {
  return rollbar && rollbar.warning.apply(rollbar, arguments);
};
export var error = function error() {
  return rollbar && rollbar.error.apply(rollbar, arguments);
};
export var critical = function critical() {
  return rollbar && rollbar.critical.apply(rollbar, arguments);
};